Create List
curl --request POST \
--url https://api.v2.dealmachine.com/v1/lists \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"source_type": "<string>",
"filters": [
{}
],
"locations": [
{}
],
"record_ids": [
{}
]
}
'import requests
url = "https://api.v2.dealmachine.com/v1/lists"
payload = {
"name": "<string>",
"source_type": "<string>",
"filters": [{}],
"locations": [{}],
"record_ids": [{}]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
source_type: '<string>',
filters: [{}],
locations: [{}],
record_ids: [{}]
})
};
fetch('https://api.v2.dealmachine.com/v1/lists', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"list_id": "abc-123-def-456",
"name": "High Value Properties in Miami",
"source_type": "properties",
"build_type": "prospect",
"status": "building",
"total_count": 0,
"progress": 0,
"estimated_count": 45230,
"created_at": "2026-02-18T14:30:00Z",
"updated_at": "2026-02-18T14:30:00Z"
}
}
{
"data": {
"list_id": "abc-123-def-456",
"name": "My Selected Properties",
"source_type": "properties",
"build_type": "import",
"status": "completed",
"total_count": 3,
"progress": 100,
"created_at": "2026-02-18T14:30:00Z",
"updated_at": "2026-02-18T14:30:00Z"
}
}
{
"data": {
"list_id": "abc-123-def-456",
"name": "My Empty List",
"source_type": "properties",
"build_type": "prospect",
"status": "idle",
"total_count": 0,
"progress": 0,
"created_at": "2026-02-18T14:30:00Z",
"updated_at": "2026-02-18T14:30:00Z"
}
}
{
"error": {
"code": "invalid_request",
"message": "Cannot provide both record_ids and filters/locations. Use record_ids for a pre-populated list or filters/locations for an async build."
}
}
{
"error": {
"code": "list_limit_exceeded",
"message": "List limited to 1,000,000 records. Your query matches 1,234,567 records. Narrow your filters.",
"details": {
"record_count": 1234567,
"limit": 1000000
}
}
}
Lists
Create List
Create a new list, optionally building from search filters
POST
/
v1
/
lists
Create List
Create a new saved list. Three modes:
- Filters/locations — builds asynchronously from matching records. Poll
GET /v1/lists/:list_iduntil status is"completed". - Record IDs — pass up to 250 property or person IDs to create a pre-populated list synchronously. Returns with status
"completed". - Empty — no filters, locations, or record_ids creates an empty list.
record_ids and filters/locations are mutually exclusive — providing both returns a 400 error.
string
required
Display name for the list (1-255 characters).
string
default:"properties"
Type of records:
properties or people.array
Search filters to build the list from. Same format as property/people search.
array
Location filters. Same format as property/people search.
array
Array of property or person IDs to pre-populate the list (1-250 IDs). Cannot be combined with
filters or locations.{
"data": {
"list_id": "abc-123-def-456",
"name": "High Value Properties in Miami",
"source_type": "properties",
"build_type": "prospect",
"status": "building",
"total_count": 0,
"progress": 0,
"estimated_count": 45230,
"created_at": "2026-02-18T14:30:00Z",
"updated_at": "2026-02-18T14:30:00Z"
}
}
{
"data": {
"list_id": "abc-123-def-456",
"name": "My Selected Properties",
"source_type": "properties",
"build_type": "import",
"status": "completed",
"total_count": 3,
"progress": 100,
"created_at": "2026-02-18T14:30:00Z",
"updated_at": "2026-02-18T14:30:00Z"
}
}
{
"data": {
"list_id": "abc-123-def-456",
"name": "My Empty List",
"source_type": "properties",
"build_type": "prospect",
"status": "idle",
"total_count": 0,
"progress": 0,
"created_at": "2026-02-18T14:30:00Z",
"updated_at": "2026-02-18T14:30:00Z"
}
}
{
"error": {
"code": "invalid_request",
"message": "Cannot provide both record_ids and filters/locations. Use record_ids for a pre-populated list or filters/locations for an async build."
}
}
{
"error": {
"code": "list_limit_exceeded",
"message": "List limited to 1,000,000 records. Your query matches 1,234,567 records. Narrow your filters.",
"details": {
"record_count": 1234567,
"limit": 1000000
}
}
}
⌘I